import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../../../data/bean/intimacy_config_info.dart';
import '../../../../utils/intimacy_util.dart';

mixin StepIntimacyStagesLogic {
  final tag = "StepIntimacyStagesLogic";

  final selectedIndex = 2.obs;

  int get currentIntimacyMedian => IntimacyUtil.getMedianByIndex(selectedIndex.value);

  List<IntimacyBean>? get intimacyList => IntimacyUtil.intimacyList();

  void selectIndex(int index) {
    selectedIndex.value = index;
  }

}
